Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CosNaming
Interface BindingIteratorOperations

All Known Subinterfaces:
  BindingIterator

public interface BindingIteratorOperations

org/omg/CosNaming/BindingIteratorOperations.java Generated by the IDL-to-Java compiler (portable), version "3.0" from nameservice.idl Wednesday, January 26, 2000 3:34:52 PM PST

Method Summary
`void` | `destroy()` This operation destroys the iterator.
`boolean` | `next_n(int how_many, BindingListHolder bl)` This operation returns at most the requested number of bindings.
`boolean` | `next_one(BindingHolder b)` This operation returns the next binding.

Method Detail

### next_one

    public boolean next_one(BindingHolder b)

  This operation returns the next binding. If there are no more bindings, false is returned.
  Parameters:
    `b` - the returned binding

### next_n

    public boolean next_n(int how_many,
                          BindingListHolder bl)

  This operation returns at most the requested number of bindings.
  Parameters:
    `how_many` - the maximum number of bindings tro return

    `bl` - the returned bindings

### destroy

    public void destroy()

  This operation destroys the iterator.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.